mxGraphModel.mxGeometryChange (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.model
Class mxGraphModel.mxGeometryChange

    java.lang.Object
      com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
          com.mxgraph.model.mxGraphModel.mxGeometryChange

All Implemented Interfaces:
  mxUndoableEdit.mxUndoableChange

Enclosing class:
  mxGraphModel

    public static class mxGraphModel.mxGeometryChange

extends mxIGraphModel.mxAtomicGraphModelChange

Field Summary
`protected Object` | `cell`
`protected mxGeometry` | `geometry`
`protected mxGeometry` | `previous`

Fields inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`model`

Constructor Summary
`mxGraphModel.mxGeometryChange()`
`mxGraphModel.mxGeometryChange(mxGraphModel model, Object cell, mxGeometry geometry)`

Method Summary
`void` | `execute()` Changes the root of the model.
`Object` | `getCell()`
`mxGeometry` | `getGeometry()`
`mxGeometry` | `getPrevious()`
`void` | `setCell(Object value)`
`void` | `setGeometry(mxGeometry value)`
`void` | `setPrevious(mxGeometry value)`

Methods inherited from class com.mxgraph.model.mxIGraphModel.mxAtomicGraphModelChange
`getModel, setModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cell

    protected Object cell

### geometry

    protected mxGeometry geometry

### previous

    protected mxGeometry previous

Constructor Detail

### mxGraphModel.mxGeometryChange

    public mxGraphModel.mxGeometryChange()

### mxGraphModel.mxGeometryChange

    public mxGraphModel.mxGeometryChange(mxGraphModel model,
                                         Object cell,
                                         mxGeometry geometry)

Method Detail

### setCell

    public void setCell(Object value)

### getCell

    public Object getCell()

  Returns:
    the cell

### setGeometry

    public void setGeometry(mxGeometry value)

### getGeometry

    public mxGeometry getGeometry()

  Returns:
    the geometry

### setPrevious

    public void setPrevious(mxGeometry value)

### getPrevious

    public mxGeometry getPrevious()

  Returns:
    the previous

### execute

    public void execute()

  Changes the root of the model.

  Specified by:
    `execute` in interface `mxUndoableEdit.mxUndoableChange`
  Specified by:
    `execute` in class `mxIGraphModel.mxAtomicGraphModelChange`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.